## org.hibernate.testing.junit
Annotation Type SkipForDialect

    @Retention(value=RUNTIME)
    @Target(value={METHOD,TYPE})
    public @interface SkipForDialect

Annotation used to indicate that a test should be skipped when run against the indicated dialects.

Author:
  Hardy Ferentschik, Steve Ebersole

Required Element Summary
`Class<? extends Dialect>[]` `value` The dialects against which to skip the test

Optional Element Summary
`String` `comment` Comment describing the reason for the skip.
`String` `jiraKey` The key of a JIRA issue which covers the reason for this skip.
`boolean` `strictMatching` Used to indicate if the dialects should be matched strictly (classes equal) or non-strictly (instanceof).

Element Detail

### value

    public abstract Class<? extends Dialect>[] value

  The dialects against which to skip the test

  Returns:
    The dialects

### strictMatching

    public abstract boolean strictMatching

  Used to indicate if the dialects should be matched strictly (classes equal) or non-strictly (instanceof).

  Returns:
    Should strict matching be used?
  Default:
    false

### comment

    public abstract String comment

  Comment describing the reason for the skip.

  Returns:
    The comment
  Default:
    ""

### jiraKey

    public abstract String jiraKey

  The key of a JIRA issue which covers the reason for this skip. Eventually we should make this a requirement.

  Returns:
    The jira issue key
  Default:
    ""

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.